Не компилится Plasmoid

Изображение пользователя Grenky.

пытаюсь скомпилить плазмод вываливает такое блин :(
[email protected]:~/Downloads/weather/build$ cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ..
-- The C compiler identification is GNU                                                           
-- The CXX compiler identification is GNU                                                         
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/share/cmake-2.6/Modules/FindKDE4.cmake:84 (MESSAGE):
  ERROR: cmake/modules/FindKDE4Internal.cmake not found in
  /home/vgenin/.kde/share/apps;/usr/share/kubuntu-default-settings/kde4-profile/default/share/apps;/usr/share/kde4/apps
Call Stack (most recent call first):
  CMakeLists.txt:7 (find_package)


CMake Warning (dev) in CMakeLists.txt:
  No cmake_minimum_required command is present.  A line of code such as

    cmake_minimum_required(VERSION 2.6)

  should be added at the top of the file.  The version specified may be lower
  if you wish to support older CMake versions for this project.  For more
  information run "cmake --help-policy CMP0000".
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!

что не так? :(

0
SeaJey - 13 Май, 2009 - 12:17
Изображение пользователя SeaJey.

dev-пакетов наверняка не хватает.

Попробуй сначала libplasma-dev с зависимостями установить.

0
Grenky - 14 Май, 2009 - 01:17
Изображение пользователя Grenky.

[email protected]:~/build$ sudo apt-get install libplasma-dev
[sudo] password for user:                                                   
Чтение списков пакетов... Готово                                              
Построение дерева зависимостей                                                
Чтение информации о состоянии... Готово                                       
Будут установлены следующие дополнительные пакеты:                            
  automoc comerr-dev hspell kdelibs5-dev libacl1-dev libasound2-dev libattr1-dev libaudio-dev libavahi-common-dev
  libbz2-dev libcups2-dev libdbus-1-dev libenchant-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgcrypt11-dev
  libgif-dev libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev libglu1-xorg-dev libgnutls-dev libgpg-error-dev libice-dev
  libilmbase-dev libjasper-dev libjpeg62-dev libkadm55 libkeyutils-dev libkrb5-dev liblcms1-dev libmng-dev libopenexr-dev
  libpcre3-dev libpcrecpp0 libphonon-dev libpng12-dev libpq-dev libpthread-stubs0 libpthread-stubs0-dev libqt4-dev
  libqt4-opengl-dev libqt4-scripttools libsm-dev libsoprano-dev libsqlite0 libsqlite0-dev libssl-dev libstreamanalyzer-dev
  libstreams-dev libtasn1-3-dev libtiff4-dev libtiffxx0c2 libx11-dev libxau-dev libxcb1-dev libxcursor-dev libxdmcp-dev
  libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-dev libxmu-dev libxmu-headers libxrandr-dev
  libxrender-dev libxslt1-dev libxt-dev libxtst-dev mesa-common-dev pkg-config pkg-kde-tools qt4-qmake x11proto-core-dev
  x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-record-dev x11proto-render-dev
  x11proto-xext-dev x11proto-xinerama-dev xlibmesa-gl-dev xsltproc xtrans-dev zlib1g-dev
Предлагаемые пакеты:
  doc-base libasound2-doc libgcrypt11-doc libglib2.0-doc gnutls-doc gnutls-bin guile-gnutls krb5-doc postgresql-doc-8.3
  qt4-dev-tools qt4-doc libmysqlclient15-dev libsqlite3-dev libiodbc2-dev libsoprano-doc sqlite-doc debhelper cdbs dpkg-dev
НОВЫЕ пакеты, которые будут установлены:
  automoc comerr-dev hspell kdelibs5-dev libacl1-dev libasound2-dev libattr1-dev libaudio-dev libavahi-common-dev
  libbz2-dev libcups2-dev libdbus-1-dev libenchant-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgcrypt11-dev
  libgif-dev libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev libglu1-xorg-dev libgnutls-dev libgpg-error-dev libice-dev
  libilmbase-dev libjasper-dev libjpeg62-dev libkadm55 libkeyutils-dev libkrb5-dev liblcms1-dev libmng-dev libopenexr-dev
  libpcre3-dev libpcrecpp0 libphonon-dev libplasma-dev libpng12-dev libpq-dev libpthread-stubs0 libpthread-stubs0-dev
  libqt4-dev libqt4-opengl-dev libqt4-scripttools libsm-dev libsoprano-dev libsqlite0 libsqlite0-dev libssl-dev
  libstreamanalyzer-dev libstreams-dev libtasn1-3-dev libtiff4-dev libtiffxx0c2 libx11-dev libxau-dev libxcb1-dev
  libxcursor-dev libxdmcp-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-dev libxmu-dev
  libxmu-headers libxrandr-dev libxrender-dev libxslt1-dev libxt-dev libxtst-dev mesa-common-dev pkg-config pkg-kde-tools
  qt4-qmake x11proto-core-dev x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-record-dev
  x11proto-render-dev x11proto-xext-dev x11proto-xinerama-dev xlibmesa-gl-dev xsltproc xtrans-dev zlib1g-dev
обновлено 0, установлено 90 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 22,1MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 103MB.
Хотите продолжить [Д/н]?

внушительно! Пожалуй позже попробую... но что то мне не верится. Поставлена чистая Kubuntu 9.04 CD ver. и что необходимо залить такую кучу lib-ов?
Кто компилил? Действительно это так?

0
nemon - 14 Май, 2009 - 08:00

kdelibs5-dev установи, если нет.

0
Grenky - 15 Май, 2009 - 01:19
Изображение пользователя Grenky.

Будут установлены следующие дополнительные пакеты:                           
  automoc comerr-dev hspell libacl1-dev libasound2-dev libattr1-dev libaudio-dev libavahi-common-dev libbz2-dev
  libcups2-dev libdbus-1-dev libenchant-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgcrypt11-dev libgif-dev
  libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev libglu1-xorg-dev libgnutls-dev libgpg-error-dev libice-dev libilmbase-dev
  libjasper-dev libjpeg62-dev libkadm55 libkeyutils-dev libkrb5-dev liblcms1-dev libmng-dev libopenexr-dev libpcre3-dev
  libpcrecpp0 libphonon-dev libplasma-dev libpng12-dev libpq-dev libpthread-stubs0 libpthread-stubs0-dev libqt4-dev
  libqt4-opengl-dev libqt4-scripttools libsm-dev libsoprano-dev libsqlite0 libsqlite0-dev libssl-dev libstreamanalyzer-dev
  libstreams-dev libtasn1-3-dev libtiff4-dev libtiffxx0c2 libx11-dev libxau-dev libxcb1-dev libxcursor-dev libxdmcp-dev
  libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-dev libxmu-dev libxmu-headers libxrandr-dev
  libxrender-dev libxslt1-dev libxt-dev libxtst-dev mesa-common-dev pkg-config pkg-kde-tools qt4-qmake x11proto-core-dev
  x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-record-dev x11proto-render-dev
  x11proto-xext-dev x11proto-xinerama-dev xlibmesa-gl-dev xsltproc xtrans-dev zlib1g-dev
Предлагаемые пакеты:
  doc-base libasound2-doc libgcrypt11-doc libglib2.0-doc gnutls-doc gnutls-bin guile-gnutls krb5-doc postgresql-doc-8.3
  qt4-dev-tools qt4-doc libmysqlclient15-dev libsqlite3-dev libiodbc2-dev libsoprano-doc sqlite-doc debhelper cdbs dpkg-dev
НОВЫЕ пакеты, которые будут установлены:
  automoc comerr-dev hspell kdelibs5-dev libacl1-dev libasound2-dev libattr1-dev libaudio-dev libavahi-common-dev
  libbz2-dev libcups2-dev libdbus-1-dev libenchant-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgcrypt11-dev
  libgif-dev libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev libglu1-xorg-dev libgnutls-dev libgpg-error-dev libice-dev
  libilmbase-dev libjasper-dev libjpeg62-dev libkadm55 libkeyutils-dev libkrb5-dev liblcms1-dev libmng-dev libopenexr-dev
  libpcre3-dev libpcrecpp0 libphonon-dev libplasma-dev libpng12-dev libpq-dev libpthread-stubs0 libpthread-stubs0-dev
  libqt4-dev libqt4-opengl-dev libqt4-scripttools libsm-dev libsoprano-dev libsqlite0 libsqlite0-dev libssl-dev
  libstreamanalyzer-dev libstreams-dev libtasn1-3-dev libtiff4-dev libtiffxx0c2 libx11-dev libxau-dev libxcb1-dev
  libxcursor-dev libxdmcp-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-dev libxmu-dev
  libxmu-headers libxrandr-dev libxrender-dev libxslt1-dev libxt-dev libxtst-dev mesa-common-dev pkg-config pkg-kde-tools
  qt4-qmake x11proto-core-dev x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-record-dev
  x11proto-render-dev x11proto-xext-dev x11proto-xinerama-dev xlibmesa-gl-dev xsltproc xtrans-dev zlib1g-dev
обновлено 0, установлено 90 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 22,1MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 103MB.
Хотите продолжить [Д/н]?

Блин на кой чёрт мне столько "мусора" ради установки плазмоида!

0
balamutick - 15 Май, 2009 - 09:25
Изображение пользователя balamutick.

Одно зависит от другого, другое от другого - "круговая порука".

Не боись, вероятно устанавливая следующий плазмоид или программу тебе придёться ставить меньше "мусора" потому, что ты его уже поставил.

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры